Author: kpvdr
Date: 2010-02-26 14:02:26 -0500 (Fri, 26 Feb 2010)
New Revision: 3860
Added:
store/trunk/cpp/tests/cluster/run_cpp_cluster_tests
store/trunk/cpp/tests/cluster/run_long_python_cluster_tests
store/trunk/cpp/tests/cluster/run_python_cluster_tests
Removed:
store/trunk/cpp/tests/cluster/run_cluster_test
store/trunk/cpp/tests/cluster/run_cluster_tests
store/trunk/cpp/tests/cluster/run_long_cluster_tests
Modified:
store/trunk/cpp/tests/cluster/Makefile.am
store/trunk/cpp/tests/run_long_python_tests
Log:
Tidy-up of some cluster test names
Modified: store/trunk/cpp/tests/cluster/Makefile.am
===================================================================
--- store/trunk/cpp/tests/cluster/Makefile.am 2010-02-25 20:55:31 UTC (rev 3859)
+++ store/trunk/cpp/tests/cluster/Makefile.am 2010-02-26 19:02:26 UTC (rev 3860)
@@ -35,9 +35,12 @@
.valgrind.supp: $(top_srcdir)/tests/.valgrind.supp
cp $^ .
-TESTS = run_cluster_tests run_cluster_test
+TESTS = \
+ run_cpp_cluster_tests \
+ run_python_cluster_tests
-LONG_TESTS = run_long_cluster_tests
+LONG_TESTS = \
+ run_long_python_cluster_tests
TESTS_ENVIRONMENT = \
BOOST_TEST_SHOW_PROGRESS=yes \
@@ -51,8 +54,9 @@
EXTRA_DIST = \
cluster_tests_env.sh \
- run_cluster_test \
- run_cluster_tests
+ run_cpp_cluster_tests \
+ run_python_cluster_tests \
+ run_long_python_cluster_tests
check-long:
$(MAKE) check TESTS="$(LONG_TESTS)" SUBDIRS=.
Deleted: store/trunk/cpp/tests/cluster/run_cluster_test
===================================================================
--- store/trunk/cpp/tests/cluster/run_cluster_test 2010-02-25 20:55:31 UTC (rev 3859)
+++ store/trunk/cpp/tests/cluster/run_cluster_test 2010-02-26 19:02:26 UTC (rev 3860)
@@ -1,34 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2008, 2009 Red Hat, Inc.
-#
-# This file is part of the Qpid async store library msgstore.so.
-#
-# This library is free software; you can redistribute it and/or
-# modify it under the terms of the GNU Lesser General Public
-# License as published by the Free Software Foundation; either
-# version 2.1 of the License, or (at your option) any later version.
-#
-# This library is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public
-# License along with this library; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
-# USA
-#
-# The GNU Lesser General Public License is available in the file COPYING.
-
-. `dirname $0`/cluster_tests_env.sh
-
-if test $COROSYNC; then
- ${CPP_CLUSTER_EXEC}
- RETCODE=$?
-else
- sg ais -c "${CPP_CLUSTER_EXEC}"
- RETCODE=$?
-fi
-
-exit $RETCODE
\ No newline at end of file
Deleted: store/trunk/cpp/tests/cluster/run_cluster_tests
===================================================================
--- store/trunk/cpp/tests/cluster/run_cluster_tests 2010-02-25 20:55:31 UTC (rev 3859)
+++ store/trunk/cpp/tests/cluster/run_cluster_tests 2010-02-26 19:02:26 UTC (rev 3860)
@@ -1,53 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2008, 2009 Red Hat, Inc.
-#
-# This file is part of the Qpid async store library msgstore.so.
-#
-# This library is free software; you can redistribute it and/or
-# modify it under the terms of the GNU Lesser General Public
-# License as published by the Free Software Foundation; either
-# version 2.1 of the License, or (at your option) any later version.
-#
-# This library is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public
-# License along with this library; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
-# USA
-#
-# The GNU Lesser General Public License is available in the file COPYING.
-
-. `dirname $0`/cluster_tests_env.sh
-
-func_check_qpid_python || exit 0 # A warning, not a failure.
-
-echo "Running Python cluster tests..."
-OUTDIR=brokertest.tmp
-rm -rf $OUTDIR
-# Ignore tests requiring a store by default.
-CLUSTER_TESTS_IGNORE=${CLUSTER_TESTS_IGNORE:-"-I ${CLUSTER_TESTS_FAIL}"}
-CLUSTER_TESTS=${CLUSTER_TESTS:-$*}
-
-TEST_CMD="${QPID_PYTHON_TEST} -m cluster_tests ${CLUSTER_TESTS_IGNORE}
${CLUSTER_TESTS} -DOUTDIR=$OUTDIR"
-if test $COROSYNC; then
- $TEST_CMD
- RETCODE=$?
-else
- sg ais -c "$TEST_CMD"
- RETCODE=$?
-fi
-#sg ais -c "${PYTHON_DIR}/qpid-python-test -m cluster_tests ${CLUSTER_TESTS_IGNORE}
${CLUSTER_TESTS} -DOUTDIR=$OUTDIR"
-#RETCODE=$?
-
-if test x${RETCODE} != x0; then
- exit 1;
-fi
-rm -rf $OUTDIR
-
-../clean.sh
-
-exit 0
Copied: store/trunk/cpp/tests/cluster/run_cpp_cluster_tests (from rev 3859,
store/trunk/cpp/tests/cluster/run_cluster_test)
===================================================================
--- store/trunk/cpp/tests/cluster/run_cpp_cluster_tests (rev 0)
+++ store/trunk/cpp/tests/cluster/run_cpp_cluster_tests 2010-02-26 19:02:26 UTC (rev
3860)
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# Copyright (c) 2008, 2009 Red Hat, Inc.
+#
+# This file is part of the Qpid async store library msgstore.so.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
+# USA
+#
+# The GNU Lesser General Public License is available in the file COPYING.
+
+. `dirname $0`/cluster_tests_env.sh
+
+if test $COROSYNC; then
+ ${CPP_CLUSTER_EXEC}
+ RETCODE=$?
+else
+ sg ais -c "${CPP_CLUSTER_EXEC}"
+ RETCODE=$?
+fi
+
+exit $RETCODE
\ No newline at end of file
Deleted: store/trunk/cpp/tests/cluster/run_long_cluster_tests
===================================================================
--- store/trunk/cpp/tests/cluster/run_long_cluster_tests 2010-02-25 20:55:31 UTC (rev
3859)
+++ store/trunk/cpp/tests/cluster/run_long_cluster_tests 2010-02-26 19:02:26 UTC (rev
3860)
@@ -1,24 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2008, 2009 Red Hat, Inc.
-#
-# This file is part of the Qpid async store library msgstore.so.
-#
-# This library is free software; you can redistribute it and/or
-# modify it under the terms of the GNU Lesser General Public
-# License as published by the Free Software Foundation; either
-# version 2.1 of the License, or (at your option) any later version.
-#
-# This library is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public
-# License along with this library; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
-# USA
-#
-# The GNU Lesser General Public License is available in the file COPYING.
-
-./run_cluster_tests long_cluster_tests
Copied: store/trunk/cpp/tests/cluster/run_long_python_cluster_tests (from rev 3859,
store/trunk/cpp/tests/cluster/run_long_cluster_tests)
===================================================================
--- store/trunk/cpp/tests/cluster/run_long_python_cluster_tests
(rev 0)
+++ store/trunk/cpp/tests/cluster/run_long_python_cluster_tests 2010-02-26 19:02:26 UTC
(rev 3860)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Copyright (c) 2008, 2009 Red Hat, Inc.
+#
+# This file is part of the Qpid async store library msgstore.so.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
+# USA
+#
+# The GNU Lesser General Public License is available in the file COPYING.
+
+./run_python_cluster_tests long
Copied: store/trunk/cpp/tests/cluster/run_python_cluster_tests (from rev 3859,
store/trunk/cpp/tests/cluster/run_cluster_tests)
===================================================================
--- store/trunk/cpp/tests/cluster/run_python_cluster_tests (rev
0)
+++ store/trunk/cpp/tests/cluster/run_python_cluster_tests 2010-02-26 19:02:26 UTC (rev
3860)
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+# Copyright (c) 2008, 2009 Red Hat, Inc.
+#
+# This file is part of the Qpid async store library msgstore.so.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
+# USA
+#
+# The GNU Lesser General Public License is available in the file COPYING.
+
+. `dirname $0`/cluster_tests_env.sh
+
+func_check_qpid_python || exit 0 # A warning, not a failure.
+
+echo "Running Python cluster tests..."
+OUTDIR=brokertest.tmp
+rm -rf $OUTDIR
+# Ignore tests requiring a store by default.
+CLUSTER_TESTS_IGNORE=${CLUSTER_TESTS_IGNORE:-"-I ${CLUSTER_TESTS_FAIL}"}
+CLUSTER_TESTS=${CLUSTER_TESTS:-$*}
+
+TEST_CMD="${QPID_PYTHON_TEST} -m cluster_tests ${CLUSTER_TESTS_IGNORE}
${CLUSTER_TESTS} -DOUTDIR=$OUTDIR"
+if test $COROSYNC; then
+ $TEST_CMD
+ RETCODE=$?
+else
+ sg ais -c "$TEST_CMD"
+ RETCODE=$?
+fi
+#sg ais -c "${PYTHON_DIR}/qpid-python-test -m cluster_tests ${CLUSTER_TESTS_IGNORE}
${CLUSTER_TESTS} -DOUTDIR=$OUTDIR"
+#RETCODE=$?
+
+if test x${RETCODE} != x0; then
+ exit 1;
+fi
+rm -rf $OUTDIR
+
+../clean.sh
+
+exit 0
Modified: store/trunk/cpp/tests/run_long_python_tests
===================================================================
--- store/trunk/cpp/tests/run_long_python_tests 2010-02-25 20:55:31 UTC (rev 3859)
+++ store/trunk/cpp/tests/run_long_python_tests 2010-02-26 19:02:26 UTC (rev 3860)
@@ -21,4 +21,4 @@
#
# The GNU Lesser General Public License is available in the file COPYING.
-./run_python_tests LONG_TEST
+./run_old_python_tests LONG_TEST